@echo off
REM ID build.bat - Olivier Armand - 10/28/02

del install.s
@echo creating install.s ...
tigcc -Os -Wall -W -Wwrite-strings -fno-function-cse -mregparm=6 -fomit-frame-pointer -S install.c

if not exist install.s goto end

echo [S] Assemble  [A] Abort
choice /CSA
if errorlevel 2 goto end2

@echo install.s must not contain any absolute addressing mode !
@echo searching '#.LXXX' and '#Label' (if GNU grep is found) ...
:Search
grep -n #.L install.s
REM #...Hook is allowed (it will not be run in the TSR)
grep -nEv "#.*Hook," install.s > __temp
grep -E " #[a-zA-Z]" __temp
if not errorlevel 1 goto RelocErr

del __temp
tigcc install.s -o id h220xtsr.a
goto end

:RelocErr
REM an absolute addressing mode was found
REM replace the following command with the name of your text editor (indicating the line numbers)
uedit32 install.s
@echo Correct the invalid addressing mode(s) and save the file.
echo [C] Continue  [A] Abort
choice /CCA
if errorlevel 2 goto end2
goto Search

:end
pause
:end2
